SDL_GetJoystickInstanceID(3)

NAME
SDL_GetJoystickInstanceID - Get the instance ID of an opened joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickID SDL_GetJoystickInstanceID(SDL_Joystick *joystick);

FUNCTION PARAMETERS

joystick
    an SDL_Joystick
     structure containing joystick information

RETURN VALUE
Returns the instance ID of the specified joystick on success or 0 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.